org.kie.internal.runtime.manager.audit.query

## Interface VariableInstanceLogQueryBuilder

- All Superinterfaces:
    AuditLogQueryBuilder<VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>, ExtendedParametrizedQueryBuilder<VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>, ParametrizedQueryBuilder<VariableInstanceLogQueryBuilder>, ProcessIdQueryBuilder<VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>, ProcessInstanceIdQueryBuilder<VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>

      public interface VariableInstanceLogQueryBuilder
      extends AuditLogQueryBuilder<VariableInstanceLogQueryBuilder,org.kie.api.runtime.manager.audit.VariableInstanceLog>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `AuditLogQueryBuilder.OrderBy`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `VariableInstanceLogQueryBuilder` | `date(Date... date)` Specify one or more dates as criteria in the query.
    `VariableInstanceLogQueryBuilder` | `dateRangeEnd(Date rangeEnd)` Specify the end of a date range to be used as a criteria on the date field.
    `VariableInstanceLogQueryBuilder` | `dateRangeStart(Date rangeStart)` Specify the begin of a date range to be used as a criteria on the date field.
    `VariableInstanceLogQueryBuilder` | `externalId(String... externalId)` Specify one or more external ids to use as a criteria.
    `VariableInstanceLogQueryBuilder` | `last()` Only retrieve the most recent ("last") variable instance logs per variable When using this, please make sure that this criteria intersects other criteria.
    `VariableInstanceLogQueryBuilder` | `oldValue(String... oldVvalue)` Specify one or more old (previous) variable values to use as a criteria.
    `VariableInstanceLogQueryBuilder` | `value(String... value)` Specify one or more variable values to use as a criteria.
    `VariableInstanceLogQueryBuilder` | `variableId(String... variableId)` Specify one or more variable ids to use as a criteria.
    `VariableInstanceLogQueryBuilder` | `variableInstanceId(String... variableInstanceId)` Specify one or more variable instance ids to use as a criteria.
    `VariableInstanceLogQueryBuilder` | `variableValue(String variableId, String value)` Specify the value that variable instance logs should have

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `ascending, descending`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### date

          VariableInstanceLogQueryBuilder date(Date... date)

      Specify one or more dates as criteria in the query.
      Parameters:
        `date` - one or more dates
      Returns:
        The current query builder instance

    - #### dateRangeStart

          VariableInstanceLogQueryBuilder dateRangeStart(Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the date field. The date range includes the date specified.
      Parameters:
        `rangeStart` - the start (early end) of the date range
      Returns:
        The current query builder instance

    - #### dateRangeEnd

          VariableInstanceLogQueryBuilder dateRangeEnd(Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the date field. The date range includes this date.
      Parameters:
        `rangeEnd` - the end (later end) of the date range
      Returns:
        The current query builder instance

    - #### variableInstanceId

          VariableInstanceLogQueryBuilder variableInstanceId(String... variableInstanceId)

      Specify one or more variable instance ids to use as a criteria.
      Parameters:
        `variableInstanceId` - one or more string variable instance ids
      Returns:
        The current query builder instance

    - #### variableId

          VariableInstanceLogQueryBuilder variableId(String... variableId)

      Specify one or more variable ids to use as a criteria.
      Parameters:
        `variableId` - one or more string variable ids
      Returns:
        The current query builder instance

    - #### value

          VariableInstanceLogQueryBuilder value(String... value)

      Specify one or more variable values to use as a criteria.
      Parameters:
        `value` - one or more string values
      Returns:
        The current query builder instance

    - #### oldValue

          VariableInstanceLogQueryBuilder oldValue(String... oldVvalue)

      Specify one or more old (previous) variable values to use as a criteria.
      Parameters:
        `oldVvalue` - one or more string old values
      Returns:
        The current query builder instance

    - #### variableValue

          VariableInstanceLogQueryBuilder variableValue(String variableId,
                                                        String value)

      Specify the value that variable instance logs should have
      Parameters:
        `variableId` - the String variable id
        `value` - the String value of the variable
      Returns:
        The current query builder instance

    - #### externalId

          VariableInstanceLogQueryBuilder externalId(String... externalId)

      Specify one or more external ids to use as a criteria. In some cases, the external id is the deployment unit id or runtime manager id.
      Parameters:
        `externalId` - one or more string external ids
      Returns:
        The current query builder instance

    - #### last

          VariableInstanceLogQueryBuilder last()

      Only retrieve the most recent ("last") variable instance logs per variable When using this, please make sure that this criteria intersects other criteria. Otherwise, this criteria will have no effect at all.
      Returns:
        The current query builder instance

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.